-- Debugging
local debug = false
--[===[@debug@
--GAME_LOCALE = "koKR"
--debug = true
--@end-debug@]===]


-- Libraries
local L = LibStub("AceLocale-3.0"):NewLocale("ConspicuousSpirits", "enUS", true, debug)
if not L then return end


-- Translations
L["Aggressive Caching"] = true
L["Aggressive Caching Interval"] = true
L["Always show borders"] = "Always Show Borders"
L["Anchor Frame"] = true
L["Anchor Point"] = true
L["Anticipated Orbs"] = true
L["Arena"] = true
L["Background Color"] = true
L["Battleground"] = true
L["Border Color"] = true
L["Cached distances might be unreliable when you or the mobs move a lot"] = true
L["Cancelled Test Mode"] = "|cFF814eaaConspicuous Spirits|r: Cancelled Test Mode!"
L["Can not change visibility options in combat."] = true
L["Change color of all Shadow Orbs when reaching five Shadow Orbs"] = true
L["Color"] = true
L["Color 1"] = true
L["Color 2"] = true
L["Color 3"] = true
L["Color for Cache Value"] = true
L["Color of the sixth indicator when overcapping with Shadowy Apparitions"] = true
L["Color Text On Using Cached Value"] = true
L["Color When Orb Capped"] = true
L["Complex Display"] = true
L["Conspicuous Spirits locked!"] = "|cFF814eaaConspicuous Spirits|r locked!"
L["Conspicuous Spirits reset!"] = "|cFF814eaaConspicuous Spirits|r reset!"
L["Conspicuous Spirits unlocked!"] = "|cFF814eaaConspicuous Spirits|r unlocked!"
L["Documentation"] = true
L["dragFrameTooltip"] = [=[|cFFcc0060Left mouse button|r to drag.
|cFFcc0060Right mouse button|r to lock.
|cFFcc0060Mouse wheel|r and |cFFcc0060shift + mouse wheel|r for fine adjustment.]=]
L["Dungeon"] = true
L["Enable"] = true
L["Enable display of bars for anticipated Shadow Orbs in the Shadow Orbs' positions"] = true
L["Enables frequent distance scanning of all available targets. Will increase CPU usage slightly and is only going to increase accuracy in situations with many fast-moving mobs."] = true
L["Fade Duration"] = true
L["File to play."] = true
L["Fill indicator from right to left"] = true
L["Font"] = true
L["Font Color"] = true
L["Font Flags"] = true
L["Font Size"] = true
L["Frame"] = true
L["General"] = true
L["Growth direction"] = "Growth Direction"
L["Height"] = true
L["Horizontal"] = true
L["Instance Type"] = true
L["Interval"] = true
L["Keep calculating distances and anticipated Orbs when leaving combat."] = true
L["Layout"] = true
L["Maximum remaining Shadowy Apparition flight time shown on the indicators"] = true
L["Maximum Time"] = true
L["MONOCHROMEOUTLINE"] = true
L["No Instance"] = true
L["None"] = true
L["Not possible to unlock in WeakAuras mode!"] = true
L["Number of Overcap Orbs"] = true
L["Orb Cap Color Change"] = true
L["Orbs"] = true
L["Order in which the Shadow Orbs get filled in"] = true
L["Orientation"] = true
L["OUTLINE"] = true
L["Out-of-Combat Calculation"] = true
L["\"Overcap Orb\" Color"] = true
L["Play Warning Sound when about to cap Shadow Orbs."] = true
L["Position"] = true
L["Positioning"] = true
L["Raid"] = true
L["Regular"] = true
L["Regulate display visibility with macro conditionals"] = [=[
Regulate display visibility with macro conditionals
show - show display
hide - hide display
fade - fade out display
]=]
L["Reset Position"] = true
L["Reset to Defaults"] = true
L["Reversed"] = true
L["Reverse Direction"] = true
L["Scale"] = true
L["Scanning interval when Aggressive Caching is enabled"] = true
L["Scenario"] = true
L["Set Number Spacing"] = true
L["Set texture used for the background"] = true
L["Shadow"] = true
L["Show borders even when orb isn't shown"] = true
L["Show Orbs out of combat"] = true
L["Shows the frame and toggles it for repositioning."] = true
L["Simple Display"] = true
L["Sound"] = true
L["Spacing"] = true
L["Starting Test Mode"] = "|cFF814eaaConspicuous Spirits|r: Starting Test Mode"
L["Test Mode"] = true
L["Text"] = true
L["Texture"] = true
L["THICKOUTLINE"] = true
L["Threshold when text begins showing first decimal place"] = true
L["Time between warning sounds"] = true
L["Time Threshold"] = true
L["Toggle Lock"] = true
L["Version"] = true
L["Vertical"] = true
L["Visibility"] = true
L["WeakAurasDocumentation"] = [=[WA_AUSPICIOUS_SPIRITS(event, count, orbs)
  event - event name (string)
  count - Shadowy Apparition currently in flight (number)
  orbs - player's Shadow Orbs (number) 

Properties conspicuous_spirits_wa:
  count - Shadowy Apparitions currently in flight (number)
  orbs - player's Shadow Orbs (number)
  timers - chronologically ordered table of AceTimer objects corresponding to the automatic cleanup of the Shadowy Apparitions (table)

New properties AceTimer object:
  impactTime - estimated point in time for the Shadowy Apparition impact (timestamp)
  isCached - whether timer is based on cached distance value (boolean)

New method AceTimer object:
  IsGUIDInRange - whether the target is within 100 yards of the player (boolean)]=]
L["WeakAuras Example Strings"] = true
L["WeakAuras Import String 1"] = true
L["WeakAuras Import String 2"] = true
L["WeakAuras Interface"] = true
L["WeakAuras String to use when \"WeakAuras\" Display is selected. Copy & paste into WeakAuras to import."] = true
L["Width"] = true
L["Will change to UIParent when manually dragging frame."] = true
L["Will show Shadow Orbs frame even when not in combat."] = true
L["X Offset"] = true
L["X offset for the Shadowy Apparition indicator bars"] = true
L["X offset for the Shadowy Apparition time text"] = true
L["X Position"] = true
L["Y Offset"] = true
L["Y offset for the Shadowy Apparition indicator bars"] = true
L["Y offset for the Shadowy Apparition time text"] = true
L["Y Position"] = true


